Swagger被曝高危漏洞,对Html、PHP、Java和 Ruby等开发应用都有影响


发布人:admin分类:漏洞播报浏览量:38发布时间:2017-11-29

Swagger是一个规范且完整的框架,提供描述、生产、消费和可视化RESTful Web Service,今年年初被重命名为OpenAPI。Swagger规格被广泛的使用在Html、PHP、Java和 Ruby等流行语言开发的应用中,其最近被曝出远程代码执行漏洞,潜在影响到了Java、PHP、NodeJS和 Ruby等流行语言开发的应用。

据了解,这个漏洞的CVE编号为CVE-2016-5641。该漏洞属于参数注入漏洞,能够在Swagger JSON文件中嵌入恶意代码。凡是使用Swagger API的应用程序都会受到影响。但Rapid7社区的安全研究人员目前公开了该漏洞的技术细节和修补方案(详见参考链接)。

Swagger被曝高危漏洞,对Html、PHP、Java和 Ruby等开发应用都有影响

参考链接:Rapid7社区

被黑站点统计 - 文章版权1、本主题所有言论和图片纯属会员个人意见,与本文章立场无关
2、本站所有主题由该文章作者发表,该文章作者与被黑站点统计享有文章相关版权
3、其他单位或个人使用、转载或引用本文时必须同时征得该文章作者和被黑站点统计的同意
4、文章作者须承担一切因本文发表而直接或间接导致的民事或刑事法律责任
5、本帖部分内容转载自其它媒体,但并不代表本站赞同其观点和对其真实性负责
6、如本帖侵犯到任何版权问题,请立即告知本站,本站将及时予与删除并致以最深的歉意
7、被黑站点统计管理员有权不事先通知发贴者而删除本文

免责声明

本站主要通过网络搜集国内被黑网站信息,统计分析数据,为部署安全型网络提供强有力的依据.本站所有工作人员均不参与黑站,挂马或赢利性行为,所有数据均为网民提供,提交者不一定是黑站人,所有提交采取不记名,先提交先审核的方式,如有任何疑问请及时与我们联系.

admin  的文章


微信公众号

微信公众号


Copyright © 2012-2022被黑网站统计系统All Rights Reserved
页面总访问量:21464986(PV) 页面执行时间:62.309(MS)
  • xml
  • 网站地图